- PHP Manual
- Function Reference
- Affecting PHP's Behaviour
- bcompiler
- bcompiler Functions
- bcompiler_load_exe
- bcompiler_load
- bcompiler_parse_class
- bcompiler_read
- bcompiler_write_class
- bcompiler_write_constant
- bcompiler_write_exe_footer
- bcompiler_write_file
- bcompiler_write_footer
- bcompiler_write_function
- bcompiler_write_functions_from_file
- bcompiler_write_header
- bcompiler_write_included_filename

bcompiler_write_file
bcompiler_write_function
bcompiler Functions
PHP Manual

# bcompiler_write_footer

Writes the single character \x00 to indicate End of compiled data

### Description

bool bcompiler_write_footer ( resource `$filehandle` )

Writes the single character \x00 to indicate End of compiled data.

### Parameters

`filehandle`

  A file handle as returned by fopen.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 bcompiler_write_footer example

`<?php
$fh = fopen("/tmp/example","w");
bcompiler_write_header($fh);
bcompiler_write_class($fh,"DB");
bcompiler_write_class($fh,"DB_common");
bcompiler_write_footer($fh);
fclose($fh);
?>`

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### See Also

- bcompiler_write_header